Added tests
All checks were successful
/ test-on-windows (push) Successful in 11s
/ test-on-alpine (push) Successful in 1m46s

This commit is contained in:
Internet Addict 2025-02-10 17:10:20 +00:00
parent 7373e47c1d
commit ce82b78e4e

View file

@ -0,0 +1,46 @@
on: [push]
jobs:
test-on-windows:
runs-on: win-10
steps:
- name: Checkout Code
uses: actions/checkout@v3
- name: Verify Go Installation
shell: bash
run: |
if ! go version; then
echo "Go is not installed!"
exit 1
fi
- name: Build Go Application
shell: bash
run: |
go build -o spitfire-installer.exe
echo "Application built successfully."
- name: Run Go Application
shell: bash
run: |
timeout 3s ./spitfire-luncher.exe || echo "Application failed or was terminated after 3 seconds."
test-on-alpine:
runs-on: alpine-1.20
steps:
- name: Checkout Code
uses: actions/checkout@v3
- name: Verify Go Installation
run: |
go version || (echo "Go is not installed!" && exit 1)
- name: Build Go Application
run: |
go build -o spitfire-installer
echo "Application built successfully."
- name: Run Go Application
run: |
timeout 3 ./spitfire-luncher || echo "Application failed or was terminated after 3 seconds."